# Class Zphi

java.lang.Object
healpix.essentials.Zphi

public final class Zphi extends Object
Class for storing a position on the unit sphere as a (z,phi)-tuple.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`phi`
Longitude in radians; Range [0; 2Pi].
`double`
`z`
Cosine of the colatitude, or z component of unit vector; Range [-1;1].

## Constructor Summary

Constructors
Constructor
Description
`Zphi()`
Default constructor
`Zphi(double z_, double phi_)`
Creation from individual components
`Zphi(Pointing ptg)`
Conversion from `Pointing`
`Zphi(Vec3 v)`
Conversion from `Vec3`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### z

public double z
Cosine of the colatitude, or z component of unit vector; Range [-1;1].

### phi

public double phi
Longitude in radians; Range [0; 2Pi].

## Constructor Details

### Zphi

public Zphi()
Default constructor

### Zphi

public Zphi(double z_, double phi_)
Creation from individual components

### Zphi

public Zphi(Vec3 v)
Conversion from `Vec3`

### Zphi

public Zphi(Pointing ptg)
Conversion from `Pointing`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`